IntegrationsDatabricks

Read one job run including task states.

POST
/integrations/connections/{connection_id}/providers/databricks/runs/get

Read one job run including task states.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/databricks/runs/get" \  -H "Content-Type: application/json" \  -d '{    "run_id": "1"  }'
{  "run_id": "example",  "job_id": "example",  "run_name": "example",  "life_cycle_state": "example",  "result_state": "example",  "state_message": "example",  "started_at": "example",  "ended_at": "example",  "duration_ms": 0,  "trigger": "example",  "tasks": [],  "run_page_url": "example"}